<?php

namespace Tricks\CampaignMonitor\Test;

use Orchestra\Testbench\Concerns\WithWorkbench;
use Override;
use Spatie\LaravelData\LaravelDataServiceProvider;
use Tricks\CampaignMonitor\CampaignMonitorServiceProvider;

class TestCase extends \Orchestra\Testbench\TestCase
{
    use WithWorkbench;

    public function getEnvironmentSetUp($app): void
    {
        env('CAMPAIGNMONITOR_TRANSACTIONAL_API_KEY', '');
    }

    #[Override]
    protected function getPackageProviders($app): array
    {
        return [
            CampaignMonitorServiceProvider::class,
            LaravelDataServiceProvider::class,
        ];
    }
}